# -- Packaging --------------------------------------
[metadata]
description-file = README.md

[qgis-plugin-ci]
plugin_path = CityForge
project_slug = TO BE SET WITH THE GITLAB/GITHUB SLUGIFIED PROJECT NAME (IN PROJECT'S URL)


# -- Code quality ------------------------------------

[isort]
ensure_newline_before_comments = True
force_grid_wrap = 0
include_trailing_comma = True
line_length = 88
multi_line_output = 3
profile = black
use_parentheses = True

# -- Tests ----------------------------------------------
[tool:pytest]
addopts =
    --junitxml=junit/test-results.xml
    --cov-config=setup.cfg
    --cov=CityForge
    --cov-report=html
    --cov-report=term
    --cov-report=xml
    --ignore=tests/_wip/
norecursedirs = .* build dev development dist docs CVS fixtures _darcs {arch} *.egg venv _wip
python_files = test_*.py
testpaths = tests

[coverage:run]
branch = True
omit =
    .venv/*
    *tests*

[coverage:report]
exclude_lines =
    if self.debug:
    pragma: no cover
    raise NotImplementedError
    if __name__ == .__main__.:

ignore_errors = True
show_missing = True
